export interface IrisEngine {
    isThinking: boolean;
    memory: string[];
    MAX_MEMORY: number;
    name: string;

    logSystem(msg: string): void;
    clearMemory(): void;
    generateResponse(input: string): Promise<string>;
}

export const Iris: IrisEngine;

